/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-09-24 17:38
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const ll MAXN = 2e5 + 5;
const ll INF = 1LL << 60;

const ll MOD = 998'244'353;

ll N;

ll fac(ll x){
    if(x <= 1) return 1;
    return fac(x - 1) * x % MOD;
}

void solve(){
    // Code goes here ...
    string s;
    cin >> s;

    vector<int> ch;
    int cnt = 0;
    F(i, 1, ssize(s)){
        if(s[i] == s[i - 1]){
            cnt++;
        }
        else{
            ch.push_back(cnt);
            cnt = 0;
        }
    }
    ch.push_back(cnt);

    // amount needed
    ll su = 0;
    for(auto e : ch) su += e;

    // different options
    ll num_different_sets = 1;
    for(auto e: ch)
        num_different_sets = num_different_sets * (e + 1) % MOD;

    /* cout << su << " " << res << endl; */
    cout << su << " " << fac(su) * num_different_sets % MOD << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    /* string rest; */
    /* while(cin.peek() != char_traits<char>::eof()){ */
    /*     solve(); */
    /*     getline(cin, rest); */
    /* } */

    return 0;
}
        
